Skip to main content

Check if an address exists

POST/v2/actions/verify-address
API version
v2
Request method
POST
Operation ID
verification-verify-address

Request​

Responses​

Format
application/json
Description

Success

  • existsbooleanrequired
Content-Type: application/json

{
"exists": true
}
{
"properties": {
"exists": {
"type": "boolean"
}
},
"required": [
"exists"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-d '{"city":"Bremen","country":"DE","street":"Bremer Straße 1","zip":"28203"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/actions/verify-address
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.misc.verificationVerifyAddress({
"data": {
"city": "Bremen",
"country": "DE",
"street": "Bremer Straße 1",
"zip": "28203"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Misc\VerificationVerifyAddress\VerificationVerifyAddressRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Misc\VerificationVerifyAddress\VerificationVerifyAddressRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// VerificationVerifyAddressRequestBody to learn how to construct a valid instance
$body = new VerificationVerifyAddressRequestBody(/* TODO: ... */);

$request = (new VerificationVerifyAddressRequest(
body: $body
));
$response = $client->misc()->verificationVerifyAddress($request);

var_dump($response->getBody();

On this page